unit CanvasPanel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  //TCanvasPanel = class(TcustomPanel)
  TCanvasPanel = class(TCustomPanel)
  private
    { Private declarations }
    FOnPaint: TNotifyEvent;
  protected
    { Protected declarations }
  public
    { Public declarations }
    property Canvas;
    Procedure paint;override;
  published
    { Published declarations }
    Property BevelInner;
    Property BevelOuter;
    Property Color;
    Property DragMode;
    Property DragCursor;
    Property OnPaint:TNotifyEvent read FOnpaint write FOnpaint;
    Property OnStartDrag;
    Property OnEndDrag;
    Property OnDragOver;
  end;

implementation

Procedure TCanvasPanel.Paint;
Begin
  inherited paint;
  If assigned (FOnPaint) then FOnpaint(self);
end;


end.











